%define debug_package %{nil}
%define oname	ASCO

Name:		asco
Summary:	A SPICE Circuit Optimizer
Version:	0.4.11
Release:	%mkrel 1
License:	GPLv2
Group:		Sciences/Other
URL:		https://asco.sourceforge.net/
Source0:	https://download.sourceforge.net/asco/ASCO-%{version}.tar.gz
# From qucs upstream
Patch0:		patch_asco_unbuffer.diff
Patch1:		0001-asco-fix-fprintf-gethostname-and-declaration-of-Dete.patch
%ifarch x86_64 %{arm64}
BuildRequires:	openmpi-devel
%endif

%description
ASCO project aims to bring circuit optimization capabilities to existing
SPICE simulators using a high-performance parallel differential evolution
(DE) optimization algorithm.

Currently out-of-the-box support for Eldo (TM), HSPICE (R), LTspice (TM),
Spectre (R), Qucs and ngspice exist.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

# autotools support
tar -zxf Autotools.tar.gz

# to make autoreconf happy
touch NEWS

# more happiness
sed -i -e 's,\(no-define\),\1 subdir-objects,g' configure.ac

%build
%define _legacy_common_support 1
autoreconf -vfi
%configure \
%ifarch x86_64 %{arm64}
    --enable-mpi
%endif

%make_build

%install
%make_install

# clean examples
rm -rf examples/Makefile*

%files
%doc README doc/ASCO.pdf
%doc examples
%{_bindir}/alter
%{_bindir}/asco
%ifarch x86_64 %{arm64}
%{_bindir}/asco-mpi
%endif
%{_bindir}/asco-test
%{_bindir}/log
%{_bindir}/monte
%{_bindir}/postp
%{_bindir}/rosen



%changelog
* Wed Jul 10 2024 papoteur <papoteur> 0.4.11-1.mga10
+ Revision: 2080537
- enable openmpi only for 64bits
- new version 0.4.11
- fix some hardening conditions

* Thu Mar 31 2022 umeabot <umeabot> 0.4.9-9.mga9
+ Revision: 1836770
- Mageia 9 Mass Rebuild

* Mon Jun 29 2020 joequant <joequant> 0.4.9-8.mga8
+ Revision: 1600448
- fix gcc10 compile

* Wed Feb 12 2020 umeabot <umeabot> 7.mga8-current
+ Revision: 1508924
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 0.4.9-6.mga7
+ Revision: 1294637
- Mageia 7 Mass Rebuild

* Wed Feb 10 2016 umeabot <umeabot> 0.4.9-5.mga6
+ Revision: 953106
- Mageia 6 Mass Rebuild

* Wed Sep 09 2015 neoclust <neoclust> 0.4.9-4.mga6
+ Revision: 874928
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 0.4.9-3.mga5
+ Revision: 739607
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.9-2.mga5
+ Revision: 677916
- Mageia 5 Mass Rebuild

* Sun Mar 02 2014 wally <wally> 0.4.9-1.mga5
+ Revision: 598543
- add patch from qucs developers to unbuffer stdout
- imported package asco

